#pragma once

#include <Datei.h>
#include <Vec2.h>
#include "Team.h"
#include "Spiel.h"

class Spiel;
class Aktion;

class MapReader
{
private:
    Text *pfad;
    int karteId;
    int ref;

    Aktion *readAktion( Datei &dat );

public:
    // Konstruktor
    MapReader( int karteId, char *tmpPfad );
    // Destruktor
    ~MapReader();
    // nicht constant
    void ladeKarte( Spiel *zSpiel );
    // Reference Counting
    MapReader *getThis();
    MapReader *release();
};